/*
  val_xz.C
 */

void set_style() {
  gStyle->SetOptStat(0);
  gStyle->SetPadTopMargin(0.03);
  gStyle->SetPadBottomMargin(0.15);
  gStyle->SetPadLeftMargin(0.15);
  gStyle->SetPadRightMargin(0.1);
}

void val_xz1(const std::string& fname="data/envrec.root") {
  TFile* f = TFile::Open(fname.c_str(), "READ");

  set_style();

  //  f->ls();
  TH1* h_P_xz_y0_t0 = dynamic_cast<TH1*>(f->Get("h_P_XZ_y0000_t0000"));
  TH1* h_T_xz_y0_t0 = dynamic_cast<TH1*>(f->Get("h_T_XZ_y0000_t0000"));

  TCanvas* c = new TCanvas("c" ,"", 0, 0, 600, 600);
  c->Divide(2, 2);
  c->cd(1);
  h_P_xz_y0_t0->Draw("zcol");

  c->cd(2);
  h_T_xz_y0_t0->Draw("zcol");

  c->cd(3);
  h_P_xz_y0_t0->Draw("zcol");

  c->cd(4);
  h_T_xz_y0_t0->Draw("zcol");
}

